import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotFlyerSiteLogWarn/` + url, ...arg)

/**
 * 飞行监管异常日志Api接口管理器
 *
 * @author xiang
 * @date  2023/09/19 14:22
 **/
export default {
	// 获取飞行监管异常日志分页
	depotFlyerSiteLogWarnPage(data) {
		return request('page', data, 'get')
	},
	// 获取飞行监管异常日志列表
	depotFlyerSiteLogWarnList(data) {
		return request('list', data, 'get')
	},
	// 提交飞行监管异常日志表单 edit为true时为编辑，默认为新增
	depotFlyerSiteLogWarnSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除飞行监管异常日志
	depotFlyerSiteLogWarnDelete(data) {
		return request('delete', data)
	},
	// 获取飞行监管异常日志详情
	depotFlyerSiteLogWarnDetail(data) {
		return request('detail', data, 'get')
	}
}
